unit uViewPerfilesUsuario;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, uViewGrid, cxStyles, cxCustomData, cxGraphics, cxFilter, cxData,
  cxDataStorage, cxEdit, DB, cxDBData, dxPSGlbl, dxPSUtl, dxPSEngn, dxPrnPg,
  dxBkgnd, dxWrap, dxPrnDev, dxPSCompsProvider, dxPSFillPatterns,
  dxPSEdgePatterns, dxPgsDlg, dxPSCore, ImgList, PngImageList, ActnList,
  cxGridCustomPopupMenu, cxGridPopupMenu, dxPScxCommon, dxPScxGrid6Lnk,
  uDAInterfaces, uDADataTable, TB2Item, TBX, TB2Toolbar, TBXDkPanels, TB2Dock,
  uViewFiltroBase, cxGridLevel, cxClasses, cxControls, cxGridCustomView,
  cxGridCustomTableView, cxGridTableView, cxGridDBTableView, cxGrid,
  uBizUsuarios;

type
  IViewPerfilesUsuario = interface(IViewGrid)
  ['{C6125F2F-5EDC-4019-BD5F-9AC9741F0F77}']
    function GetPerfilesUsuario: IBizPerfilUsuario;
    procedure SetPerfilesUsuario(const Value: IBizPerfilUsuario);
    property PerfilesUsuario: IBizPerfilUsuario read GetPerfilesUsuario write SetPerfilesUsuario;
  end;

  TfrViewPerfilesUsuario = class(TfrViewGrid, IViewPerfilesUsuario)
    cxGridViewID: TcxGridDBColumn;
    cxGridViewUSERNAME: TcxGridDBColumn;
    cxGridViewTIPO: TcxGridDBColumn;
  protected
    FPerfiles : IBizPerfilUsuario;
    function GetPerfilesUsuario: IBizPerfilUsuario;
    procedure SetPerfilesUsuario(const Value: IBizPerfilUsuario);
  public
    property PerfilesUsuario: IBizPerfilUsuario read GetPerfilesUsuario write SetPerfilesUsuario;
  end;


implementation

{$R *.dfm}

{ TfrViewPerfilesUsuario }

function TfrViewPerfilesUsuario.GetPerfilesUsuario: IBizPerfilUsuario;
begin
  Result := FPerfiles;
end;

procedure TfrViewPerfilesUsuario.SetPerfilesUsuario(const Value: IBizPerfilUsuario);
begin
  FPerfiles := Value;
  if Assigned(FPerfiles) then
    dsDataSource.DataTable := FPerfiles.DataTable;
end;

end.
